diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin.php	2013-03-01 11:00:25.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin.php	2013-10-09 16:01:09.000000000 -0500
***************
*** 36,62 ****
  	update_option( 'db_upgraded',  false );
  
  	/**
! 	 * Runs on the next page load after successful upgrade
  	 *
! 	 * @since 2.8
  	 */
! 	do_action('after_db_upgrade');
  } elseif ( get_option('db_version') != $wp_db_version && empty($_POST) ) {
  	if ( !is_multisite() ) {
  		wp_redirect( admin_url( 'upgrade.php?_wp_http_referer=' . urlencode( wp_unslash( $_SERVER['REQUEST_URI'] ) ) ) );
  		exit;
  	} elseif ( apply_filters( 'do_mu_upgrade', true ) ) {
- 		/**
- 		 * On really small MU installs run the upgrader every time,
- 		 * else run it less often to reduce load.
- 		 *
- 		 * @since 2.8.4b
- 		 */
  		$c = get_blog_count();
  		// If 50 or fewer sites, run every time. Else, run "about ten percent" of the time. Shh, don't check that math.
  		if ( $c <= 50 || ( $c > 50 && mt_rand( 0, (int)( $c / 50 ) ) == 1 ) ) {
  			require_once( ABSPATH . WPINC . '/http.php' );
  			$response = wp_remote_get( admin_url( 'upgrade.php?step=1' ), array( 'timeout' => 120, 'httpversion' => '1.1' ) );
  			do_action( 'after_mu_upgrade', $response );
  			unset($response);
  		}
--- 36,78 ----
  	update_option( 'db_upgraded',  false );
  
  	/**
! 	 * Fires on the next page load after a successful DB upgrade.
  	 *
! 	 * @since 2.8.0
  	 */
! 	do_action( 'after_db_upgrade' );
  } elseif ( get_option('db_version') != $wp_db_version && empty($_POST) ) {
  	if ( !is_multisite() ) {
  		wp_redirect( admin_url( 'upgrade.php?_wp_http_referer=' . urlencode( wp_unslash( $_SERVER['REQUEST_URI'] ) ) ) );
  		exit;
+ 
+ 	/**
+ 	 * Filter whether to attempt to perform the multisite DB upgrade routine.
+ 	 *
+ 	 * In single site, the user would be redirected to wp-admin/upgrade.php.
+ 	 * In multisite, it is automatically fired, but only when this filter
+ 	 * returns true.
+ 	 *
+ 	 * If the network is 50 sites or less, it will run every time. Otherwise,
+ 	 * it will throttle itself to reduce load.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param bool true Whether to perform the Multisite upgrade routine. Default true.
+ 	 */
  	} elseif ( apply_filters( 'do_mu_upgrade', true ) ) {
  		$c = get_blog_count();
  		// If 50 or fewer sites, run every time. Else, run "about ten percent" of the time. Shh, don't check that math.
  		if ( $c <= 50 || ( $c > 50 && mt_rand( 0, (int)( $c / 50 ) ) == 1 ) ) {
  			require_once( ABSPATH . WPINC . '/http.php' );
  			$response = wp_remote_get( admin_url( 'upgrade.php?step=1' ), array( 'timeout' => 120, 'httpversion' => '1.1' ) );
+ 			/**
+ 			 * Fires after the multisite DB upgrade is complete.
+ 			 *
+ 			 * @since 3.0.0
+ 			 *
+ 			 * @param array|WP_Error $response The upgrade response array or WP_Error on failure.
+ 			 */
  			do_action( 'after_mu_upgrade', $response );
  			unset($response);
  		}
***************
*** 103,112 ****
  else
  	require(ABSPATH . 'wp-admin/menu.php');
  
! if ( current_user_can( 'manage_options' ) )
  	@ini_set( 'memory_limit', apply_filters( 'admin_memory_limit', WP_MAX_MEMORY_LIMIT ) );
  
! do_action('admin_init');
  
  if ( isset($plugin_page) ) {
  	if ( !empty($typenow) )
--- 119,153 ----
  else
  	require(ABSPATH . 'wp-admin/menu.php');
  
! if ( current_user_can( 'manage_options' ) ) {
! 	/**
! 	 * Filter the maximum memory limit available for administration screens.
! 	 *
! 	 * This only applies to administrators, who may require more memory for tasks like updates.
! 	 * Memory limits when processing images (uploaded or edited by users of any role) are
! 	 * handled separately.
! 	 *
! 	 * The WP_MAX_MEMORY_LIMIT constant specifically defines the maximum memory limit available
! 	 * when in the administration back-end. The default is 256M, or 256 megabytes of memory.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param string 'WP_MAX_MEMORY_LIMIT' The maximum WordPress memory limit. Default 256M.
! 	 */
  	@ini_set( 'memory_limit', apply_filters( 'admin_memory_limit', WP_MAX_MEMORY_LIMIT ) );
+ }
  
! /**
!  * Fires as an admin screen or script is being initialized.
!  *
!  * Note, this does not just run on user-facing admin screens.
!  * It runs on admin-ajax.php and admin-post.php as well.
!  *
!  * This is roughly analgous to the more general 'init' hook, which fires earlier.
!  *
!  * @since 2.5.0
!  */
! do_action( 'admin_init' );
  
  if ( isset($plugin_page) ) {
  	if ( !empty($typenow) )
***************
*** 142,152 ****
  // Handle plugin admin pages.
  if ( isset($plugin_page) ) {
  	if ( $page_hook ) {
! 		do_action('load-' . $page_hook);
  		if (! isset($_GET['noheader']))
  			require_once(ABSPATH . 'wp-admin/admin-header.php');
  
! 		do_action($page_hook);
  	} else {
  		if ( validate_file($plugin_page) )
  			wp_die(__('Invalid plugin page'));
--- 183,220 ----
  // Handle plugin admin pages.
  if ( isset($plugin_page) ) {
  	if ( $page_hook ) {
! 		/**
! 		 * Fires before a particular screen is loaded.
! 		 *
! 		 * The load-* hook fires in a number of contexts. This hook is for plugin screens
! 		 * where a callback is provided when the screen is registered.
! 		 *
! 		 * The dynamic portion of the hook name, $page_hook, refers to a mixture of plugin
! 		 * page information including:
! 		 * 1. The page type. If the plugin page is registered as a submenu page, such as for
! 		 *    Settings, the page type would be 'settings'. Otherwise the type is 'toplevel'.
! 		 * 2. A separator of '_page_'.
! 		 * 3. The plugin basename minus the file extension.
! 		 *
! 		 * Together, the three parts form the $page_hook. Citing the example above,
! 		 * the hook name used would be 'load-settings_page_pluginbasename'.
! 		 *
! 		 * @see get_plugin_page_hook()
! 		 *
! 		 * @since 2.1.0
! 		 */
! 		do_action( 'load-' . $page_hook );
  		if (! isset($_GET['noheader']))
  			require_once(ABSPATH . 'wp-admin/admin-header.php');
  
! 		/**
! 		 * Used to call the registered callback for a plugin screen.
! 		 *
! 		 * @access private
! 		 *
! 		 * @since 1.5.0
! 		 */
! 		do_action( $page_hook );
  	} else {
  		if ( validate_file($plugin_page) )
  			wp_die(__('Invalid plugin page'));
***************
*** 154,160 ****
  		if ( !( file_exists(WP_PLUGIN_DIR . "/$plugin_page") && is_file(WP_PLUGIN_DIR . "/$plugin_page") ) && !( file_exists(WPMU_PLUGIN_DIR . "/$plugin_page") && is_file(WPMU_PLUGIN_DIR . "/$plugin_page") ) )
  			wp_die(sprintf(__('Cannot load %s.'), htmlentities($plugin_page)));
  
! 		do_action('load-' . $plugin_page);
  
  		if ( !isset($_GET['noheader']))
  			require_once(ABSPATH . 'wp-admin/admin-header.php');
--- 222,240 ----
  		if ( !( file_exists(WP_PLUGIN_DIR . "/$plugin_page") && is_file(WP_PLUGIN_DIR . "/$plugin_page") ) && !( file_exists(WPMU_PLUGIN_DIR . "/$plugin_page") && is_file(WPMU_PLUGIN_DIR . "/$plugin_page") ) )
  			wp_die(sprintf(__('Cannot load %s.'), htmlentities($plugin_page)));
  
! 		/**
! 		 * Fires before a particular screen is loaded.
! 		 *
! 		 * The load-* hook fires in a number of contexts. This hook is for plugin screens
! 		 * where the file to load is directly included, rather than the use of a function.
! 		 *
! 		 * The dynamic portion of the hook name, $plugin_page, refers to the plugin basename.
! 		 *
! 		 * @see plugin_basename()
! 		 *
! 		 * @since 1.5.0
! 		 */
! 		do_action( 'load-' . $plugin_page );
  
  		if ( !isset($_GET['noheader']))
  			require_once(ABSPATH . 'wp-admin/admin-header.php');
***************
*** 185,190 ****
--- 265,277 ----
  		exit;
  	}
  
+ 	/**
+ 	 * Fires before an importer screen is loaded.
+ 	 *
+ 	 * The dynamic portion of the hook name, $importer, refers to the importer slug.
+ 	 *
+ 	 * @since 3.5.0
+ 	 */
  	do_action( 'load-importer-' . $importer );
  
  	$parent_file = 'tools.php';
***************
*** 198,203 ****
--- 285,300 ----
  
  	define('WP_IMPORTING', true);
  
+ 	/**
+ 	 * Whether to filter imported data through kses on import.
+ 	 *
+ 	 * Multisite uses this hook to filter all data through kses by default,
+ 	 * as a super administrator may be assisting an untrusted user.
+ 	 *
+ 	 * @since 3.1.0
+ 	 *
+ 	 * @param bool false Whether to force data to be filtered through kses. Default false.
+ 	 */
  	if ( apply_filters( 'force_filtered_html_on_import', false ) )
  		kses_init_filters();  // Always filter imported data with kses on multisite.
  
***************
*** 210,216 ****
  
  	exit();
  } else {
! 	do_action("load-$pagenow");
  	// Backwards compatibility with old load-page-new.php, load-page.php,
  	// and load-categories.php actions.
  	if ( $typenow == 'page' ) {
--- 307,324 ----
  
  	exit();
  } else {
! 	/**
! 	 * Fires before a particular screen is loaded.
! 	 *
! 	 * The load-* hook fires in a number of contexts. This hook is for core screens.
! 	 *
! 	 * The dynamic portion of the hook name, $pagenow, is a global variable
! 	 * referring to the filename of the current page, such as 'admin.php',
! 	 * 'post-new.php' etc. A complete hook for the latter would be 'load-post-new.php'.
! 	 *
! 	 * @since 2.1.0
! 	 */
! 	do_action( 'load-' . $pagenow );
  	// Backwards compatibility with old load-page-new.php, load-page.php,
  	// and load-categories.php actions.
  	if ( $typenow == 'page' ) {
***************
*** 226,230 ****
  	}
  }
  
! if ( !empty($_REQUEST['action']) )
! 	do_action('admin_action_' . $_REQUEST['action']);
--- 334,347 ----
  	}
  }
  
! if ( ! empty( $_REQUEST['action'] ) ) {
! 	/**
! 	 * Fires when an 'action' request variable is sent.
! 	 *
! 	 * The dynamic portion of the hook name, $_REQUEST['action'],
! 	 * refers to the action derived from the GET or POST request.
! 	 *
! 	 * @since 2.6.0
! 	 */
! 	do_action( 'admin_action_' . $_REQUEST['action'] );
! }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-post.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-post.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-post.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 1,6 ****
  <?php
  /**
!  * WordPress Administration Generic POST Handler.
   *
   * @package WordPress
   * @subpackage Administration
--- 1,8 ----
  <?php
  /**
!  * WordPress Generic Request (POST/GET) Handler
!  *
!  * Intended for form submission handling in themes and plugins.
   *
   * @package WordPress
   * @subpackage Administration
***************
*** 12,24 ****
  if ( defined('ABSPATH') )
  	require_once(ABSPATH . 'wp-load.php');
  else
! 	require_once('../wp-load.php');
  
  require_once(ABSPATH . 'wp-admin/includes/admin.php');
  
  nocache_headers();
  
! do_action('admin_init');
  
  $action = 'admin_post';
  
--- 14,30 ----
  if ( defined('ABSPATH') )
  	require_once(ABSPATH . 'wp-load.php');
  else
! 	require_once( dirname( dirname( __FILE__ ) ) . '/wp-load.php' );
! 
! /** Allow for cross-domain requests (from the frontend). */
! send_origin_headers();
  
  require_once(ABSPATH . 'wp-admin/includes/admin.php');
  
  nocache_headers();
  
! /** This action is documented in wp-admin/admin.php */
! do_action( 'admin_init' );
  
  $action = 'admin_post';
  
***************
*** 28,31 ****
  if ( !empty($_REQUEST['action']) )
  	$action .= '_' . $_REQUEST['action'];
  
! do_action($action);
--- 34,45 ----
  if ( !empty($_REQUEST['action']) )
  	$action .= '_' . $_REQUEST['action'];
  
! /**
!  * Fires the requested handler action.
!  *
!  * admin_post_nopriv_{$_REQUEST['action']} is called for not-logged-in users.
!  * admin_post_{$_REQUEST['action']} is called for logged-in users.
!  *
!  * @since 2.6.0
!  */
! do_action( $action );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/async-upload.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/async-upload.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/async-upload.php	2013-07-08 15:05:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/async-upload.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 11,17 ****
  if ( defined('ABSPATH') )
  	require_once(ABSPATH . 'wp-load.php');
  else
! 	require_once('../wp-load.php');
  
  if ( ! ( isset( $_REQUEST['action'] ) && 'upload-attachment' == $_REQUEST['action'] ) ) {
  	// Flash often fails to send cookies with the POST or upload, so we need to pass it in GET or POST instead
--- 11,17 ----
  if ( defined('ABSPATH') )
  	require_once(ABSPATH . 'wp-load.php');
  else
! 	require_once( dirname( dirname( __FILE__ ) ) . '/wp-load.php' );
  
  if ( ! ( isset( $_REQUEST['action'] ) && 'upload-attachment' == $_REQUEST['action'] ) ) {
  	// Flash often fails to send cookies with the POST or upload, so we need to pass it in GET or POST instead
***************
*** 24,30 ****
  	unset($current_user);
  }
  
! require_once('./admin.php');
  
  if ( !current_user_can('upload_files') )
  	wp_die(__('You do not have permission to upload files.'));
--- 24,30 ----
  	unset($current_user);
  }
  
! require_once( ABSPATH . 'wp-admin/admin.php' );
  
  if ( !current_user_can('upload_files') )
  	wp_die(__('You do not have permission to upload files.'));
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/comment.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/comment.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/comment.php	2012-02-07 13:13:30.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/comment.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** Load WordPress Bootstrap */
! require_once('./admin.php');
  
  $parent_file = 'edit-comments.php';
  $submenu_file = 'edit-comments.php';
--- 7,13 ----
   */
  
  /** Load WordPress Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  $parent_file = 'edit-comments.php';
  $submenu_file = 'edit-comments.php';
***************
*** 36,42 ****
   */
  function comment_footer_die( $msg ) {
  	echo "<div class='wrap'><p>$msg</p></div>";
! 	include('./admin-footer.php');
  	die;
  }
  
--- 36,42 ----
   */
  function comment_footer_die( $msg ) {
  	echo "<div class='wrap'><p>$msg</p></div>";
! 	include( ABSPATH . 'wp-admin/admin-footer.php' );
  	die;
  }
  
***************
*** 60,66 ****
  	);
  
  	wp_enqueue_script('comment');
! 	require_once('./admin-header.php');
  
  	$comment_id = absint( $_GET['c'] );
  
--- 60,66 ----
  	);
  
  	wp_enqueue_script('comment');
! 	require_once( ABSPATH . 'wp-admin/admin-header.php' );
  
  	$comment_id = absint( $_GET['c'] );
  
***************
*** 75,81 ****
  
  	$comment = get_comment_to_edit( $comment_id );
  
! 	include('./edit-form-comment.php');
  
  	break;
  
--- 75,81 ----
  
  	$comment = get_comment_to_edit( $comment_id );
  
! 	include( ABSPATH . 'wp-admin/edit-form-comment.php' );
  
  	break;
  
***************
*** 104,110 ****
  		die();
   	}
  
! 	require_once('./admin-header.php');
  
  	$formaction    = $action . 'comment';
  	$nonce_action  = 'approve' == $action ? 'approve-comment_' : 'delete-comment_';
--- 104,110 ----
  		die();
   	}
  
! 	require_once( ABSPATH . 'wp-admin/admin-header.php' );
  
  	$formaction    = $action . 'comment';
  	$nonce_action  = 'approve' == $action ? 'approve-comment_' : 'delete-comment_';
***************
*** 279,284 ****
--- 279,293 ----
  	edit_comment();
  
  	$location = ( empty( $_POST['referredby'] ) ? "edit-comments.php?p=$comment_post_id" : $_POST['referredby'] ) . '#comment-' . $comment_id;
+ 
+ 	/**
+ 	 * Filter the URI the user is redirected to after editing a comment in the admin.
+ 	 *
+ 	 * @since 2.1.0
+ 	 *
+ 	 * @param string $location The URI the user will be redirected to.
+ 	 * @param int $comment_id The ID of the comment being edited.
+ 	 */
  	$location = apply_filters( 'comment_edit_redirect', $location, $comment_id );
  	wp_redirect( $location );
  
***************
*** 291,294 ****
  
  } // end switch
  
! include('./admin-footer.php');
--- 300,303 ----
  
  } // end switch
  
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/credits.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/credits.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/credits.php	2013-07-31 01:05:34.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/credits.php	2013-10-17 15:17:09.000000000 -0500
***************
*** 7,16 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
  $title = __( 'Credits' );
  
  function wp_credits() {
  	global $wp_version;
  	$locale = get_locale();
--- 7,25 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  $title = __( 'Credits' );
  
+ /**
+  * Retrieve the contributor credits.
+  *
+  * @global string $wp_version The current WordPress version.
+  *
+  * @since 3.2.0
+  *
+  * @return array A list of all of the contributors.
+ */
  function wp_credits() {
  	global $wp_version;
  	$locale = get_locale();
***************
*** 20,31 ****
  	if ( ! is_array( $results )
  		|| ( isset( $results['data']['version'] ) && strpos( $wp_version, $results['data']['version'] ) !== 0 )
  	) {
! 		$response = wp_remote_get( "http://api.wordpress.org/core/credits/1.0/?version=$wp_version&locale=$locale" );
  
  		if ( is_wp_error( $response ) || 200 != wp_remote_retrieve_response_code( $response ) )
  			return false;
  
! 		$results = maybe_unserialize( wp_remote_retrieve_body( $response ) );
  
  		if ( ! is_array( $results ) )
  			return false;
--- 29,40 ----
  	if ( ! is_array( $results )
  		|| ( isset( $results['data']['version'] ) && strpos( $wp_version, $results['data']['version'] ) !== 0 )
  	) {
! 		$response = wp_remote_get( "http://api.wordpress.org/core/credits/1.1/?version=$wp_version&locale=$locale" );
  
  		if ( is_wp_error( $response ) || 200 != wp_remote_retrieve_response_code( $response ) )
  			return false;
  
! 		$results = json_decode( wp_remote_retrieve_body( $response ), true );
  
  		if ( ! is_array( $results ) )
  			return false;
***************
*** 36,45 ****
--- 45,74 ----
  	return $results;
  }
  
+ /**
+  * Retrieve the link to a contributor's WordPress.org profile page.
+  *
+  * @access private
+  * @since 3.2.0
+  *
+  * @param string &$display_name The contributor's display name, passed by reference.
+  * @param string $user_name     The contributor's username.
+  * @param string $profiles      URL to the contributor's WordPress.org profile page.
+  * @return string A contributor's display name, hyperlinked to a WordPress.org profile page.
+  */
  function _wp_credits_add_profile_link( &$display_name, $username, $profiles ) {
  	$display_name = '<a href="' . esc_url( sprintf( $profiles, $username ) ) . '">' . esc_html( $display_name ) . '</a>';
  }
  
+ /**
+  * Retrieve the link to an external library used in WordPress.
+  *
+  * @access private
+  * @since 3.2.0
+  *
+  * @param string &$data External library data, passed by reference.
+  * @return string Link to the external library.
+  */
  function _wp_credits_build_object_link( &$data ) {
  	$data = '<a href="' . esc_url( $data[1] ) . '">' . $data[0] . '</a>';
  }
***************
*** 52,58 ****
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version. WordPress %s makes your writing experience even better.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 81,87 ----
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to WordPress 3.7! You might not notice a thing, and we&#8217;re okay with that.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/custom-background.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/custom-background.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/custom-background.php	2013-07-09 23:42:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/custom-background.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 67,77 ****
  		if ( ! current_user_can('edit_theme_options') )
  			return;
  
! 		$this->page = $page = add_theme_page(__('Background'), __('Background'), 'edit_theme_options', 'custom-background', array(&$this, 'admin_page'));
  
! 		add_action("load-$page", array(&$this, 'admin_load'));
! 		add_action("load-$page", array(&$this, 'take_action'), 49);
! 		add_action("load-$page", array(&$this, 'handle_upload'), 49);
  
  		if ( $this->admin_header_callback )
  			add_action("admin_head-$page", $this->admin_header_callback, 51);
--- 67,77 ----
  		if ( ! current_user_can('edit_theme_options') )
  			return;
  
! 		$this->page = $page = add_theme_page(__('Background'), __('Background'), 'edit_theme_options', 'custom-background', array($this, 'admin_page'));
  
! 		add_action("load-$page", array($this, 'admin_load'));
! 		add_action("load-$page", array($this, 'take_action'), 49);
! 		add_action("load-$page", array($this, 'handle_upload'), 49);
  
  		if ( $this->admin_header_callback )
  			add_action("admin_head-$page", $this->admin_header_callback, 51);
***************
*** 386,392 ****
  		$thumbnail = wp_get_attachment_image_src( $id, 'thumbnail' );
  		set_theme_mod('background_image_thumb', esc_url_raw( $thumbnail[0] ) );
  
! 		do_action('wp_create_file_in_uploads', $file, $id); // For replication
  		$this->updated = true;
  	}
  
--- 386,393 ----
  		$thumbnail = wp_get_attachment_image_src( $id, 'thumbnail' );
  		set_theme_mod('background_image_thumb', esc_url_raw( $thumbnail[0] ) );
  
! 		/** This action is documented in wp-admin/custom-header.php */
! 		do_action( 'wp_create_file_in_uploads', $file, $id ); // For replication
  		$this->updated = true;
  	}
  
***************
*** 411,416 ****
--- 412,418 ----
  	public function wp_set_background_image() {
  		if ( ! current_user_can('edit_theme_options') || ! isset( $_POST['attachment_id'] ) ) exit;
  		$attachment_id = absint($_POST['attachment_id']);
+ 		/** This filter is documented in wp-admin/includes/media.php */
  		$sizes = array_keys(apply_filters( 'image_size_names_choose', array('thumbnail' => __('Thumbnail'), 'medium' => __('Medium'), 'large' => __('Large'), 'full' => __('Full Size')) ));
  		$size = 'thumbnail';
  		if ( in_array( $_POST['size'], $sizes ) )
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/custom-header.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/custom-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/custom-header.php	2013-03-29 15:51:35.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/custom-header.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 84,96 ****
  		if ( ! current_user_can('edit_theme_options') )
  			return;
  
! 		$this->page = $page = add_theme_page(__('Header'), __('Header'), 'edit_theme_options', 'custom-header', array(&$this, 'admin_page'));
  
! 		add_action("admin_print_scripts-$page", array(&$this, 'js_includes'));
! 		add_action("admin_print_styles-$page", array(&$this, 'css_includes'));
! 		add_action("admin_head-$page", array(&$this, 'help') );
! 		add_action("admin_head-$page", array(&$this, 'take_action'), 50);
! 		add_action("admin_head-$page", array(&$this, 'js'), 50);
  		if ( $this->admin_header_callback )
  			add_action("admin_head-$page", $this->admin_header_callback, 51);
  	}
--- 84,96 ----
  		if ( ! current_user_can('edit_theme_options') )
  			return;
  
! 		$this->page = $page = add_theme_page(__('Header'), __('Header'), 'edit_theme_options', 'custom-header', array($this, 'admin_page'));
  
! 		add_action("admin_print_scripts-$page", array($this, 'js_includes'));
! 		add_action("admin_print_styles-$page", array($this, 'css_includes'));
! 		add_action("admin_head-$page", array($this, 'help') );
! 		add_action("admin_head-$page", array($this, 'take_action'), 50);
! 		add_action("admin_head-$page", array($this, 'js'), 50);
  		if ( $this->admin_header_callback )
  			add_action("admin_head-$page", $this->admin_header_callback, 51);
  	}
***************
*** 464,469 ****
--- 464,470 ----
  <table class="form-table">
  <tbody>
  
+ <?php if ( get_custom_header() || display_header_text() ) : ?>
  <tr valign="top">
  <th scope="row"><?php _e( 'Preview' ); ?></th>
  <td>
***************
*** 490,495 ****
--- 491,498 ----
  	<?php } ?>
  </td>
  </tr>
+ <?php endif; ?>
+ 
  <?php if ( current_theme_supports( 'custom-header', 'uploads' ) ) : ?>
  <tr valign="top">
  <th scope="row"><?php _e( 'Select Image' ); ?></th>
***************
*** 630,635 ****
--- 633,643 ----
  </table>
  <?php endif;
  
+ /**
+  * Fires just before the submit button in the custom header options form.
+  *
+  * @since 3.1.0
+  */
  do_action( 'custom_header_options' );
  
  wp_nonce_field( 'custom-header-options', '_wpnonce-custom-header-options' ); ?>
***************
*** 687,693 ****
  
  			$this->set_header_image( compact( 'url', 'attachment_id', 'width', 'height' ) );
  
! 			do_action('wp_create_file_in_uploads', $file, $attachment_id); // For replication
  			return $this->finished();
  		} elseif ( $width > $max_width ) {
  			$oitar = $width / $max_width;
--- 695,710 ----
  
  			$this->set_header_image( compact( 'url', 'attachment_id', 'width', 'height' ) );
  
! 			/**
! 			 * Fires after the header image is set or an error is returned.
! 			 *
! 			 * @since 2.1.0
! 			 *
! 			 * @param string $file          Path to the file.
! 			 * @param int    $attachment_id Attachment ID.
! 			 */
! 			do_action( 'wp_create_file_in_uploads', $file, $attachment_id ); // For replication
! 
  			return $this->finished();
  		} elseif ( $width > $max_width ) {
  			$oitar = $width / $max_width;
***************
*** 695,701 ****
  			if ( ! $image || is_wp_error( $image ) )
  				wp_die( __( 'Image could not be processed. Please go back and try again.' ), __( 'Image Processing Error' ) );
  
! 			$image = apply_filters('wp_create_file_in_uploads', $image, $attachment_id); // For replication
  
  			$url = str_replace(basename($url), basename($image), $url);
  			$width = $width / $oitar;
--- 712,719 ----
  			if ( ! $image || is_wp_error( $image ) )
  				wp_die( __( 'Image could not be processed. Please go back and try again.' ), __( 'Image Processing Error' ) );
  
! 			/** This filter is documented in wp-admin/custom-header.php */
! 			$image = apply_filters( 'wp_create_file_in_uploads', $image, $attachment_id ); // For replication
  
  			$url = str_replace(basename($url), basename($image), $url);
  			$width = $width / $oitar;
***************
*** 836,842 ****
  		if ( ! $cropped || is_wp_error( $cropped ) )
  			wp_die( __( 'Image could not be processed. Please go back and try again.' ), __( 'Image Processing Error' ) );
  
! 		$cropped = apply_filters('wp_create_file_in_uploads', $cropped, $attachment_id); // For replication
  
  		$parent = get_post($attachment_id);
  		$parent_url = $parent->guid;
--- 854,861 ----
  		if ( ! $cropped || is_wp_error( $cropped ) )
  			wp_die( __( 'Image could not be processed. Please go back and try again.' ), __( 'Image Processing Error' ) );
  
! 		/** This filter is documented in wp-admin/custom-header.php */
! 		$cropped = apply_filters( 'wp_create_file_in_uploads', $cropped, $attachment_id ); // For replication
  
  		$parent = get_post($attachment_id);
  		$parent_url = $parent->guid;
***************
*** 867,876 ****
  
  		// cleanup
  		$medium = str_replace( basename( $original ), 'midsize-' . basename( $original ), $original );
! 		if ( file_exists( $medium ) )
  			@unlink( apply_filters( 'wp_delete_file', $medium ) );
! 		if ( empty( $_POST['create-new-attachment'] ) && empty( $_POST['skip-cropping'] ) )
  			@unlink( apply_filters( 'wp_delete_file', $original ) );
  
  		return $this->finished();
  	}
--- 886,906 ----
  
  		// cleanup
  		$medium = str_replace( basename( $original ), 'midsize-' . basename( $original ), $original );
! 		if ( file_exists( $medium ) ) {
! 			/**
! 			 * Filter the path of the file to delete.
! 			 *
! 			 * @since 2.1.0
! 			 *
! 			 * @param string $medium Path to the file to delete.
! 			 */
  			@unlink( apply_filters( 'wp_delete_file', $medium ) );
! 		}
! 
! 		if ( empty( $_POST['create-new-attachment'] ) && empty( $_POST['skip-cropping'] ) ) {
! 			/** This filter is documented in wp-admin/custom-header.php */
  			@unlink( apply_filters( 'wp_delete_file', $original ) );
+ 		}
  
  		return $this->finished();
  	}
